Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_NS_Internal Class Reference

This class and ACE_NS_String are used as Adapters to work with the Map_Manager. More...

`#include <Local_Name_Space.h>`

Collaboration diagram for ACE_NS_Internal:

[legend]
List of all members.

## Public Member Functions
| ACE_NS_Internal (void)
| No-op constructor.
| ACE_NS_Internal (ACE_NS_String &value, const char *type)
| Constructor.
bool | operator== (const ACE_NS_Internal &) const
| Compare an ACE_NS_Internal.
ACE_NS_String | value (void)
| Return value.
const char * | type (void)
| Return type.
## Private Attributes
ACE_NS_String | value_
| Contains the value of the string.
const char * | type_
| Contains the type of the string.

## Detailed Description

This class and ACE_NS_String are used as Adapters to work with the Map_Manager.

## Constructor & Destructor Documentation

ACE_NS_Internal::ACE_NS_Internal | ( | void |  | ) |

| No-op constructor.

ACE_NS_Internal::ACE_NS_Internal | ( | ACE_NS_String & | value,
|  | const char * | type
| ) |

| Constructor.

## Member Function Documentation

bool ACE_NS_Internal::operator== | ( | const ACE_NS_Internal & |  | ) | const

| Compare an ACE_NS_Internal.

const char * ACE_NS_Internal::type | ( | void |  | ) |

| Return type.

ACE_NS_String ACE_NS_Internal::value | ( | void |  | ) |

| Return value.

## Member Data Documentation

const char* ACE_NS_Internal::type_`[private]`

| Contains the type of the string.

ACE_NS_String ACE_NS_Internal::value_`[private]`

| Contains the value of the string.

The documentation for this class was generated from the following files:

- Local_Name_Space.h
- Local_Name_Space.cpp